/*
 * Version string boilerplate for slide puzzle game.
 * Copyright © 2022-2023 Nick Bowler
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef RRACE_VERSION_H_
#define RRACE_VERSION_H_

#include <stdio.h>

/*
 * Print a line containing the name of the program and the version of the
 * package, followed by a line for each copyright notice to the specified file.
 */
void version_print_head(const char *progname, FILE *f);

/*
 * As with the above, but the string is put in a newly-allocated string which
 * must be freed by the caller.  The resulting string has newline characters
 * between each line but there is no newline after the final line.
 */
char *version_format_head(const char *progname);

#endif
